# 32/64bit spec-file
#
%define name warzone2100
%define version 3.2.3
%define release %mkrel 1
%define	Werror_cflags	%nil
Summary:	A RTS game based on a post-appocolyptic earth, and the attempts of one group to reform civilization
Summary(de):	Echtzeitstrategiespiel, basieren auf einer Erde in der Endzeit
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Games/Strategy
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}-16.png
Source3:	%{name}-48.png
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://wz2100.net/
BuildRequires:	sdl2-devel
BuildRequires:	%{_lib}physfs-devel
BuildRequires:	%{_lib}png-devel
#BuildRequires: 	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}jpeg-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}openal-devel
BuildRequires:	%{_lib}mad-devel
BuildRequires:	%{_lib}ogg-devel
BuildRequires:	%{_lib}vorbis0-devel	
BuildRequires:	zlib-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:  %{_lib}quesoglc-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtcore5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	qtscript5-devel
BuildRequires:	qtopengl5-devel
BuildRequires:	qtx11extras5-devel
BuildRequires:	libtheora-devel
BuildRequires:	glew-devel
BuildRequires:	libpthread-stubs
BuildRequires:	desktop-file-utils
BuildRequires:	openssl-devel
BuildRequires:	libxrandr-devel
#Requires:	libquesoglc0
Requires:	openal
#Requires:	libopenal1
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
You are the commander of a ragtag group, hunting through the
ashes of former civilation for technolgy that was lost after
the Collapse. Your mission is to restore what's left of the
human population to some semblence of order.  

This game requires fglrx or nvidia drivers. You also need to move libGL.so*
files from /usr/lib folder

%description -l de
Warzone 2100 ist ein Echtzeitstrategiespiel, basieren auf einer Erde 
in der Endzeit und dem Versuch einer Gruppe die Zivilisation zu verändern.

Sie sind der Kommandant einer Bande und jagen über der Asche der früheren 
Zivilisation nach Technologie, die nach dem Kollaps verloren ging. Ihre Aufgabe 
besteht darin, das was von der menschlichen Rasse verloren ging, und die 
scheinbare Ordnung wiederherzustellen


%prep
%setup -q


%build
%configure2_5x --datadir=%{_gamesdatadir} --bindir=%{_gamesbindir} \
	--with-distributor=PCLinuxOS --disable-rpath

%make 

%install
%makeinstall_std

# install icon and desktop file on the right place
cp -R %{buildroot}%{_gamesdatadir}/applications %{buildroot}%{_datadir}
cp -R %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}
rm -rf %{buildroot}%{_gamesdatadir}/applications
rm -rf %{buildroot}%{_gamesdatadir}/icons

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
mkdir -p %{buildroot}%{_datadir}/applications

install -m 644 %SOURCE3 %{buildroot}/%{_liconsdir}/%{name}.png
install -m 644 %SOURCE1 %{buildroot}/%{_miconsdir}/%{name}.png

desktop-file-install  --vendor="" \
	--add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

chmod 755 %{buildroot}%{_gamesbindir}/%{name}


%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesdatadir}/metainfo/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_docdir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/warzone2100.mo
#%{_mandir}/man6/%{name}.6.bz2

%changelog
* Tue Dec 26 2017 ghostbunny <ghostbunny at gmx dot de> 3.2.3-1pclos2018
- 3.2.3

* Sun Dec 25 2016 ghostbunny <ghostbunny at gmx dot de> 3.2.2-1pclos2017
- 3.2.2
- switch to qt5 and sdl2 build

* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 3.1.5-1pclos2016
- 3.1.5
- add missing BRs glew-devel, libtheora-devel, desktop-file-utils and 
  libpthread-stubs

* Wed Dec 18 2013 ghostbunny <ghostbunny at gmx dot de> 3.1.1-1pclos2013
- 3.1.1

* Sun Feb 17 2013 pinoc <vogtpet at gmail.com> 3.1.0-2pclos2013
- corrected to zlib-devel

* Wed Jan 23 2013 ghostbunny <ghostbunny at gmx dot de> 3.1.0-1pclos2013
- 3.1.0
- added german summary and description
- added %{_lib} macros
- new URL
- fixed BR names
- changed makeinstall bindir=... macro to makeinstall_std old version does not work
- added BR qt4-devel
- added mandir to files section
- removed source2 tarball provides owen icon, removed all things related to source2 in install section
- removed .desktop file creation in spec tarball provides owen file
- fixed install location of .desktop file and icon

* Sun Apr 17 2011 Texstar <texstar at gmail.com> 2.3.7-1pclos2011
- 2.3.7

* Wed May 19 2010 Texstar <texstar at gmail.com> 2.3.0-2pclos2010
- rebuild against updated openal

* Wed Apr 28 2010 Texstar <texstar at gmail.com> 2.3.0-1pclos2010
- 2.3.0


